#pragma once

#include <maya/MPxCommand.h>
#include <maya/MGlobal.h>
#include <maya/MString.h>
#include <maya/MArgList.h>
#include <maya/MStatus.h>

class CSimpleCommandCMD : public MPxCommand
{
public:
	static void *creator() 
	{ 
		return new CSimpleCommandCMD();
	}

	virtual MStatus doIt(const MArgList &args)
	{
		if(args.length())
		{
			MString str = "Hello, ";
			str += args.asString(0);
			str += "!";
			MGlobal::displayInfo(str);
		}
		else
		{
			MGlobal::displayInfo("Hello, World of Maya!");
		}
		return MS::kSuccess;
	}
};